Probleme mit FFmpeg

Snakell

Grünschnabel
Beiträge
3
Hallo an Alle,

ich hoffe ich bin hier richtig mit meinem Problem.
Und zwar hatte ich auf meinen CentOS Server für Mysql und PHP ein Update gemacht. (auf PHP Version 5.4.5)
Zuvor hatte ich PHP 5.2 drauf und mein FFMpeg funktionierte tadellos. Doch nun bekomme ich folgende Fehlermeldung:

PHP Warning: PHP Startup: ffmpeg: Unable to initialize module
Module compiled with module API=20050922
PHP compiled with module API=20100525

Gut, dachte ich mir und kompilierte ffmpeg-php neu welches auch funktionierte und mir wurde eine neue ffmpeg.so in meinem extention-dir angelegt.
Httpd Service neu gestartet und erhalte wieder die gleiche Fehlermeldung. Ich kann so oft neu kompilieren wie ich möchte, der Fehler geht nicht weg.

Eines vorweg: Ich weiss was dieser Fehler bedeutet, dass ffmpeg mit einer anderen Version kompiliert wurde. Deshalb habe ich es ja auch mit der neuen Version von PHP neu kompiliert aber ohne Erfolg.

Ich weiss im Moment nicht weiter, brauche aber unbedingt ffmpeg.

weiter Details:
- es ist nur eine PHP Version installiert (/usr/bin/php), mit which php ermittelt
- ffmpeg.so liegt im extension-dir
- modul ist über die PHP.ini eingebunden
- FFMpeg ist installiert und läuft jedoch ffmpeg-php bekomme ich nicht mehr zum laufen
- PHP Version 5.4.5
- CentOS 5
- alle anderen Module/Extensions funktionieren ohne Probleme

Vielleicht weiss jemand Rat und kann helfen.

Viele Grüsse

P.S. ich habe schon bei Google gesucht wie ein Irrer aber leider nichts gefunden, ausser das man ffmpeg-php neu kompilieren soll (was ich ja schon mehrfach versucht habe)
 

marcellus

Kaiser
Beiträge
1.392
Wenn du einfach ein system update machst sollte das vom paketmanager zur verfügung gestellte ffmpeg auch ein update bekommen, so das alles passt.

Kanns sein, dass du jetzt mehrere php versionen installiert hast und ffmpeg gegen die alte version linkt?
 

Snakell

Grünschnabel
Beiträge
3
Hallo marcellus,

erstmal vielen Dank für deine Antwort. Wenn du mit system update "yum update" meinst, dann habe ich dies schon gemacht. Ich hatte ja auch alle anderen module neu kompiliert und es lief alles ohne Probleme bis auf ffmpeg.
Laut "which php" ist auch nur die eine Version von PHP vorhanden (hatte die alte deinstalliert).

Ich weiss nicht, was ich noch probieren kann, das mir ffmpeg-php mit dem neuen PHP kompiliert wird damit die API Versionen die gleichen sind.
 

marcellus

Kaiser
Beiträge
1.392
Wenn das nichts bringt dann deinstallier ffmpeg-php, führ im Verzeichnis zum kompilieren "make clean" aus und probiers noch einmal. Wenn keine alte version von php vorhanden ist kann er ja nicht dagegen linken.
 

Snakell

Grünschnabel
Beiträge
3
Hallo marcellus,

vielen vielen Dank. Das wars. Nach "make clean" und "phpize clean" hat alles wunderbar funktioniert und mein ffmpeg läuft jetzt unter PHP 5.4.5.

vielen dank
 

Ähnliche Themen

PHP Version von 5.3 auf 5.4 Updaten (Centos 6.5)

Frage zu PHP 5.3

Displayport + externer Monitor zeigt bei startx nichts erst bei DVI

Wieder mal Probleme mit yum

Ubuntu X / dbus problem

Oben